%define anolis_release 2

%global commit        4d469a3d37c21353fbd6bb306ce707dc4151fd1e
%global shortcommit   %(c=%{commit}; echo ${c:0:7})
%global debug_package %{nil}

Name:           go-compilers
Version:        1 
Release:        %{anolis_release}%{?dist}
Summary:        Go language compilers for various architectures

License:        GPLv3+
URL:            https://github.com/gofed/go-macros 
Source0:        https://github.com/gofed/go-macros/archive/%{commit}/go-macros-%{shortcommit}.tar.gz 
ExclusiveArch:  %{go_arches}

BuildRequires:  coreutils go-srpm-macros

%description
The package provides correct golang language compiler
base on an architectures.

%package golang-compiler
Summary:       compiler for golang

Requires:      golang
Requires:      golist

Provides:      compiler(go-compiler) = 2
Provides:      compiler(golang)

%description golang-compiler
Compiler for golang.

%prep
%autosetup -n go-macros-%{commit}

%build

%install
install -m 755 -D bin/go-rpm-integration %{buildroot}%{_bindir}/go-rpm-integration
install -m 755 -D rpm/gobundled.prov %{buildroot}%{_rpmconfigdir}/gobundled.prov
install -m 755 -D rpm/gosymlink.deps %{buildroot}%{_rpmconfigdir}/gosymlink.deps
install -m 644 -D rpm/macros.d/macros.go-compilers-golang %{buildroot}%{_rpmconfigdir}/macros.d/macros.go-compilers-golang
install -m 644 -D rpm/macros.d/macros.go-rpm %{buildroot}%{_rpmconfigdir}/macros.d/macros.go-rpm
install -m 644 -D rpm/fileattrs/go.attr %{buildroot}%{_rpmconfigdir}/fileattrs/go.attr
install -m 644 -D rpm/fileattrs/gobundled.attr %{buildroot}%{_rpmconfigdir}/fileattrs/gobundled.attr
install -m 644 -D rpm/fileattrs/gosymlink.attr %{buildroot}%{_rpmconfigdir}/fileattrs/gosymlink.attr

%files golang-compiler
%{_rpmconfigdir}/macros.d/macros.go-compilers-golang
%{_rpmconfigdir}/macros.d/macros.go-rpm
%{_rpmconfigdir}/gobundled.prov
%{_rpmconfigdir}/gosymlink.deps
%{_rpmconfigdir}/fileattrs/go.attr
%{_rpmconfigdir}/fileattrs/gobundled.attr
%{_rpmconfigdir}/fileattrs/gosymlink.attr
%{_bindir}/go-rpm-integration


%changelog
* Tue May 27 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 1-2
- Rebuild for remove inappropriate build dependencies.

* Tue Mar  8 2022 forrest_ly <flin@linux.alibaba.com> - 1-1
- Init for Anolis OS 23 
